---
apiVersion: ran.openshift.io/v1
kind: SiteConfig
metadata:
  name: vm00001
  namespace: vm00001
spec:
  baseDomain: rdu2.scalelab.redhat.com
  pullSecretRef:
    name: "ai-pull-secret"
  clusterImageSetNameRef: openshift-4.19.1
  sshPublicKey: ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQC6351YHGIvE6DZcAt0RXqodzKbglUeCNqxRyd7OOfcN+p88RaKZahg9/dL81IbdlGPbhPPG9ga7BdkLN8VbyYNCjE7kBIKM47JS1pbjeoJhI8bBrFjjp6LIJW/tWh1Pyl7Mk3DbPiZOkJ9HXvOgE/HRh44jJPtMLnzrZU5VNgNRgaEBWOG+j06pxdK9giMji1mFkJXSr43YUZYYgM3egNfNzxeTG0SshbZarRDEKeAlnDJkZ70rbP2krL2MgZJDv8vIK1PcMMFhjsJ/4Pp7F0Tl2Rm/qlZhTn4ptWagZmM0Z3N2WkNdX6Z9i2lZ5K+5jNHEFfjw/CPOFqpaFMMckpfFMsAJchbqnh+F5NvKJSFNB6L77iRCp5hbhGBbZncwc3UDO3FZ9ZuYZ8Ws+2ZyS5uVxd5ZUsvZFO+mWwySytFbsc0nUUcgkXlBiGKF/eFm9SQTURkyNzJkJfPm7awRwYoidaf8MTSp/kUCCyloAjpFIOJAa0SoVerhLp8uhQzfeU= root@e38-h01-000-r650.rdu2.scalelab.redhat.com
  clusters:
  - clusterName: vm00001
    networkType: "OVNKubernetes"
    extraManifestPath: extra-manifests
    # 4.15
    # installConfigOverrides:  "{\"capabilities\":{\"baselineCapabilitySet\": \"None\", \"additionalEnabledCapabilities\": [ \"OperatorLifecycleManager\", \"NodeTuning\" ] }}"
    # 4.16, 4.17, 4.18, 4.19
    installConfigOverrides:  "{\"capabilities\":{\"baselineCapabilitySet\": \"None\", \"additionalEnabledCapabilities\": [ \"OperatorLifecycleManager\", \"Ingress\", \"NodeTuning\" ] }}"
    clusterLabels:
      cloud: auto-detect
      common: 'true'
      du-profile: "4.19"
      group-du-sno: ''
      name: vm00001
      observability: enabled
      sites: vm00001
      vendor: auto-detect
    clusterNetwork:
    - cidr: fd01::/48
      hostPrefix: 64
    machineNetwork:
    - cidr: fc00:1005::/64
    serviceNetwork:
    - fd02::/112
    additionalNTPSources:
    - fc00:1005::21
    crTemplates:
      KlusterletAddonConfig: "KlusterletAddonConfigOverride.yaml"
    nodes:
    - hostName: "vm00001"
      ironicInspect: enabled
      bmcAddress: redfish-virtualmedia+http://[fc00:1005::21]:9000/redfish/v1/Systems/4e353905-a9fa-5aaa-974a-01d8f03aebf2
      bmcCredentialsName:
        name: vm00001-bmc-secret
      bootMACAddress: 52:54:00:00:00:01
      bootMode: "UEFI"
      # rootDeviceHints:
      #   hctl: '0:0:0:0'
      # cpuset: "0-3"
      ignitionConfigOverride: '{"ignition":{"version":"3.2.0"},"storage":{"files":[{"path":"/etc/containers/policy.json","mode":420,"overwrite":true,"contents":{"source":"data:text/plain;charset=utf-8;base64,ewogICAgImRlZmF1bHQiOiBbCiAgICAgICAgewogICAgICAgICAgICAidHlwZSI6ICJpbnNlY3VyZUFjY2VwdEFueXRoaW5nIgogICAgICAgIH0KICAgIF0sCiAgICAidHJhbnNwb3J0cyI6CiAgICAgICAgewogICAgICAgICAgICAiZG9ja2VyLWRhZW1vbiI6CiAgICAgICAgICAgICAgICB7CiAgICAgICAgICAgICAgICAgICAgIiI6IFt7InR5cGUiOiJpbnNlY3VyZUFjY2VwdEFueXRoaW5nIn1dCiAgICAgICAgICAgICAgICB9CiAgICAgICAgfQp9"}}]}}'
      nodeNetwork:
        interfaces:
        - name: enp1s0
          macAddress: 52:54:00:00:00:01
        config:
          interfaces:
          - name: enp1s0
            type: ethernet
            state: up
            ipv4:
              enabled: false
            ipv6:
              enabled: true
              autoconf: false
              dhcp: false
              address:
              - ip: "fc00:1005::3e8"
                prefix-length: 64
          dns-resolver:
            config:
              server:
              - fc00:1005::21
          routes:
            config:
            - destination: ::/0
              next-hop-interface: enp1s0
              next-hop-address: fc00:1005::1
              table-id: 254
